Subject: bug#21089: 24.5; void-variable url-http-response-status

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 25 Dec 2015 19:13:29 +0100

Milan Zamazal <[email-masked]> writes:

> I tried to debug the problem and found out that something wrong happens
> in function `url-http-parse-headers' from url-http.el.  While
> `url-http-response-status' is set in the call (url-http-parse-response)
> and visible in `url-http-parse-headers' afterwards, it disappears after
> the call (delete-process url-http-process) later in
> `url-http-parse-headers', before it is used there.  Maybe the variable
> is buffer local and gets lost together with the process buffer.

Yes, that sounds likely.  Emacs 25.1 has gotten a few fixes in this
area, I think.  Do you still see this problem in newer versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no